<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/simulator/simulationTemplate.xhtml">
            <ui:param name="simulationBean" value="#{pdqmSimulationBean}"/>
            <ui:param name="sutSelectionBean" value="#{simulationBean.pdqmSUTSelectionBean}"/>

            <ui:define name="simulatorDescription">
                <s:decorate template="/hl7fhir/pdqm/r4/pdqmPDCSimulatorDescription.xhtml"/>
            </ui:define>
            <ui:define name="simulatorInformation">
                <s:decorate template="/hl7fhir/pdqm/r4/pdqmPDCSimulatorInformation.xhtml"/>
            </ui:define>
            <ui:define name="editMessageConfiguration">
                <ui:decorate template="/hl7fhir/pdqm/r4/editPDCParameters.xhtml">
                    <ui:param name="messageBean"
                              value="#{simulationBean.pdqmMessageConfigurationBean}"></ui:param>
                </ui:decorate>
            </ui:define>
            <ui:define name="displayMessageConfiguration">
                <ui:decorate template="/hl7fhir/pdqm/r4/displayPDCParameters.xhtml">
                    <ui:param name="messageBean"
                              value="#{simulationBean.pdqmMessageConfigurationBean}"></ui:param>
                </ui:decorate>
            </ui:define>

        </s:decorate>
    </ui:define>
</ui:composition>
